# ApplicationFramework
PTKernel
PColStd

# PColStd_VArrayTNodeOfFieldOfHArray1OfInteger Class Reference

`#include <PColStd_VArrayTNodeOfFieldOfHArray1OfInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PColStd_VArrayTNodeOfFieldOfHArray1OfInteger ()
| PColStd_VArrayTNodeOfFieldOfHArray1OfInteger (const Standard_Integer &aValue)
void | SetValue (const Standard_Integer &aValue)
Standard_Address | Value () const

## Private Attributes

Standard_Integer | myValue

## Constructor & Destructor Documentation

PColStd_VArrayTNodeOfFieldOfHArray1OfInteger::PColStd_VArrayTNodeOfFieldOfHArray1OfInteger | ( |  | ) |

PColStd_VArrayTNodeOfFieldOfHArray1OfInteger::PColStd_VArrayTNodeOfFieldOfHArray1OfInteger | ( | const Standard_Integer & | aValue | ) |

## Member Function Documentation

void PColStd_VArrayTNodeOfFieldOfHArray1OfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColStd_VArrayTNodeOfFieldOfHArray1OfInteger::operator new | ( | size_t | size | ) | `[inline]`

void* PColStd_VArrayTNodeOfFieldOfHArray1OfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PColStd_VArrayTNodeOfFieldOfHArray1OfInteger::SetValue | ( | const Standard_Integer & | aValue | ) |

Standard_Address PColStd_VArrayTNodeOfFieldOfHArray1OfInteger::Value | ( |  | ) | const

## Field Documentation

Standard_Integer PColStd_VArrayTNodeOfFieldOfHArray1OfInteger::myValue `[private]`

The documentation for this class was generated from the following file:

- PColStd_VArrayTNodeOfFieldOfHArray1OfInteger.hxx